Package commoble.morered.client

# Class WirePartModelLoader.WirePartModel

java.lang.Object
commoble.morered.client.WirePartModelLoader.WirePartModel

All Implemented Interfaces:
  `net.minecraft.client.resources.model.BakedModel`, `net.neoforged.neoforge.client.extensions.IBakedModelExtension`, `net.neoforged.neoforge.client.model.IDynamicBakedModel`

Enclosing class:
  `WirePartModelLoader`

public static class WirePartModelLoader.WirePartModel extends Object implements net.neoforged.neoforge.client.model.IDynamicBakedModel

## Constructor Summary

Constructors
Constructor
Description
`WirePartModel(boolean isAmbientOcclusion, boolean isGui3d, boolean isSideLit, net.minecraft.client.renderer.texture.TextureAtlasSprite particle, net.minecraft.client.resources.model.BakedModel[] lineModels, net.minecraft.client.resources.model.BakedModel[] edgeModels)`

## Method Summary

Modifier and Type
Method
Description
`net.neoforged.neoforge.client.model.data.ModelData`
`getModelData(net.minecraft.world.level.BlockAndTintGetter level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state, net.neoforged.neoforge.client.model.data.ModelData modelData)`
`net.minecraft.client.renderer.block.model.ItemOverrides`
`getOverrides()`
`net.minecraft.client.renderer.texture.TextureAtlasSprite`
`getParticleIcon()`
`List<net.minecraft.client.renderer.block.model.BakedQuad>`
`getQuads(net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.Direction side, net.minecraft.util.RandomSource rand, net.neoforged.neoforge.client.model.data.ModelData extraData, @Nullable net.minecraft.client.renderer.RenderType renderType)`
`boolean`
`isCustomRenderer()`
`boolean`
`isGui3d()`
`boolean`
`useAmbientOcclusion()`
`boolean`
`usesBlockLight()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.client.resources.model.BakedModel

`getTransforms`

### Methods inherited from interface net.neoforged.neoforge.client.extensions.IBakedModelExtension

`applyTransform, getParticleIcon, getRenderPasses, getRenderTypes, getRenderTypes, useAmbientOcclusion`

### Methods inherited from interface net.neoforged.neoforge.client.model.IDynamicBakedModel

`getQuads`

## Constructor Details

### WirePartModel

public WirePartModel(boolean isAmbientOcclusion, boolean isGui3d, boolean isSideLit, net.minecraft.client.renderer.texture.TextureAtlasSprite particle, net.minecraft.client.resources.model.BakedModel[] lineModels, net.minecraft.client.resources.model.BakedModel[] edgeModels)

## Method Details

### useAmbientOcclusion

public boolean useAmbientOcclusion()

Specified by:
  `useAmbientOcclusion` in interface `net.minecraft.client.resources.model.BakedModel`

### isGui3d

public boolean isGui3d()

Specified by:
  `isGui3d` in interface `net.minecraft.client.resources.model.BakedModel`

### usesBlockLight

public boolean usesBlockLight()

Specified by:
  `usesBlockLight` in interface `net.minecraft.client.resources.model.BakedModel`

### isCustomRenderer

public boolean isCustomRenderer()

Specified by:
  `isCustomRenderer` in interface `net.minecraft.client.resources.model.BakedModel`

### getParticleIcon

public net.minecraft.client.renderer.texture.TextureAtlasSprite getParticleIcon()

Specified by:
  `getParticleIcon` in interface `net.minecraft.client.resources.model.BakedModel`

### getOverrides

public net.minecraft.client.renderer.block.model.ItemOverrides getOverrides()

Specified by:
  `getOverrides` in interface `net.minecraft.client.resources.model.BakedModel`

### getQuads

public List<net.minecraft.client.renderer.block.model.BakedQuad> getQuads(net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.Direction side, net.minecraft.util.RandomSource rand, net.neoforged.neoforge.client.model.data.ModelData extraData, @Nullable @Nullable net.minecraft.client.renderer.RenderType renderType)

Specified by:
  `getQuads` in interface `net.neoforged.neoforge.client.extensions.IBakedModelExtension`
Specified by:
  `getQuads` in interface `net.neoforged.neoforge.client.model.IDynamicBakedModel`

### getModelData

public net.neoforged.neoforge.client.model.data.ModelData getModelData(net.minecraft.world.level.BlockAndTintGetter level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state, net.neoforged.neoforge.client.model.data.ModelData modelData)

Specified by:
  `getModelData` in interface `net.neoforged.neoforge.client.extensions.IBakedModelExtension`